#!/bin/bash
set -e

# Fichier original du script Docker
DOCKER_RUN_SCRIPT="/usr/local/bin/docker-run.sh"
APACHE_CONF="/etc/apache2/sites-enabled/000-default.conf"

# 1. Remplacement de la commande MySQL par PSQL dans docker-run.sh
if [[ ${DOLI_DB_TYPE} == "pgsql" ]]; then
    sed -i 's/mysql -u \${DOLI_DB_USER} -p\${DOLI_DB_PASSWORD} -h \${DOLI_DB_HOST} -P \${DOLI_DB_HOST_PORT} \${DOLI_DB_NAME} < \${file}/PGPASSWORD="\${DOLI_DB_PASSWORD}" psql -U "\${DOLI_DB_USER}" -h "\${DOLI_DB_HOST}" -p "\${DOLI_DB_HOST_PORT}" -d "\${DOLI_DB_NAME}" < \${file}/' "$DOCKER_RUN_SCRIPT"
fi

# 2. Mise à jour de la configuration Apache pour définir dynamiquement ServerName
if [ -n "$DOLI_URL_ROOT" ]; then
    # Supprimer le préfixe "https://" ou "http://" si présent
    SERVER_NAME=$(echo "$DOLI_URL_ROOT" | sed 's|https\?://||')

    # Utiliser le nom de domaine extrait comme ServerName
    sed -i "s|#ServerName www.example.com|ServerName $SERVER_NAME|" "$APACHE_CONF"
    echo 'ServerName $SERVER_NAME' >> /etc/apache2/apache2.conf
else
    echo "Avertissement: DOLI_URL_ROOT non défini, aucun changement de ServerName effectué."
fi

# 3. Exécution du script d'origine avec les arguments passés au wrapper
exec "$DOCKER_RUN_SCRIPT" "$@"
